> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/document-detector/start-sdk.md).

# Iniciar detecção de documentos

Para obter o resultado, você deve implementar o **`DocumentDetectorControllerDelegate`** delegate no seu controlador:

```swift
class YouController: UIViewController, DocumentDetectorControllerDelegate{
    
    // MARK: - Delegados de Detecção de Documento
    
    func documentDetectionController(_ scanner: DocumentDetectorController, didFinishWithResults results: DocumentDetectorResult) {
        //Chamado quando o processo foi executado com sucesso
        //A variável result contém os dados obtidos
    }
    
    func documentDetectionControllerDidCancel(_ scanner: DocumentDetectorController) {
        // Chamado quando o usuário cancelar
    }
    
    func documentDetectionController(_ scanner: DocumentDetectorController, didFailWithError error: DocumentDetectorFailure) {
        //Chamado quando o processo termina com um erro
        //A variável error contém informações sobre o erro
    }
}
```

Depois de criar o **`DocumentDetector`** objeto, inicie o **`DocumentDetectorController`** passando este objeto como parâmetro no construtor:

```swift
let scannerVC = DocumentDetectorController(documentDetector: documentDetector)
scannerVC.documentDetectorDelegate = self
present(scannerVC, animated: true, completion: nil)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/document-detector/start-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
